- Main Page
- Classes
- Files
- Related Pages

- File List
- File Members

# vstgui.h File Reference

`#include "vstcontrols.h"`
`#include "aeffguieditor.h"`

## Classes
struct | CRect
struct | CPoint
struct | CColor
class | CReferenceCounter
class | CDrawContext
| A drawing context encapsulates the drawing context of the underlying OS. It implements the drawing functions. More...
class | COffscreenContext
| A drawing device which uses a pixmap as its drawing surface. More...
class | CBitmap
| Encapsulates various platform depended kinds of bitmaps. More...
class | CView
class | CViewContainer
| Container Class of CView objects. More...
class | CFrame
| The CFrame is the parent container of all views. More...
class | CDragContainer
class | CCView
## Defines
#define | BEGIN_NAMESPACE_VSTGUI
#define | END_NAMESPACE_VSTGUI
#define | USING_NAMESPACE_VSTGUI
#define | VSTGUI_VERSION_MAJOR 3
#define | VSTGUI_VERSION_MINOR 0
#define | CLASS_METHODS(name, parent)
## Typedefs
typedef long | CCoord
typedef unsigned long | CViewAttributeID
## Enumerations
enum | CFont { kSystemFont = 0, kNormalFontVeryBig, kNormalFontBig, kNormalFont, kNormalFontSmall, kNormalFontSmaller, kNormalFontVerySmall, kSymbolFont, kNumStandardFonts }
enum | CTxtFace { kNormalFace = 0, kBoldFace = 1, kItalicFace = 2, kUnderlineFace = 4 }
enum | CLineStyle { kLineSolid = 0, kLineOnOffDash }
enum | CDrawMode { kCopyMode = 0, kOrMode, kXorMode, kAntialias }
enum | CHoriTxtAlign { kLeftText = 0, kCenterText, kRightText }
enum | CButton { kLButton = 1, kMButton = 2, kRButton = 4, kShift = 8, kControl = 16, kAlt = 32, kApple = 64 }
enum | CCursorType { kCursorDefault = 0, kCursorWait, kCursorHSize, kCursorVSize, kCursorSizeAll, kCursorNESWSize, kCursorNWSESize, kCursorCopy, kCursorNotAllowed, kCursorHand }
enum | CKnobMode { kCircularMode = 0, kRelativCircularMode, kLinearMode }
enum | CDrawStyle { kDrawStroked = 0, kDrawFilled, kDrawFilledAndStroked }
enum | CMouseWheelAxis { kMouseWheelAxisX = 0, kMouseWheelAxisY }
enum | { kMessageUnknown = 0, kMessageNotified = 1 }
## Variables
CColor | kTransparentCColor
CColor | kBlackCColor
CColor | kWhiteCColor
CColor | kGreyCColor
CColor | kRedCColor
CColor | kGreenCColor
CColor | kBlueCColor
CColor | kYellowCColor
CColor | kCyanCColor
CColor | kMagentaCColor
const CViewAttributeID | kCViewAttributeReferencePointer
char * | kMsgCheckIfViewContainer

## Define Documentation

#define BEGIN_NAMESPACE_VSTGUI

#define CLASS_METHODS | ( | name,
|  | parent |  | ) |

| Value:
    virtual bool isTypeOf (const char* s) const \
                    { return (!strcmp (s, (#name))) ? true : parent::isTypeOf (s); }\

#define END_NAMESPACE_VSTGUI

#define USING_NAMESPACE_VSTGUI

#define VSTGUI_VERSION_MAJOR 3

#define VSTGUI_VERSION_MINOR 0

## Typedef Documentation

typedef long CCoord

typedef unsigned long CViewAttributeID

## Enumeration Type Documentation

anonymous enum

  | Enumerator:
  kMessageUnknown |
  kMessageNotified |

enum CButton

  | Enumerator:
  kLButton |
  kMButton |
  kRButton |
  kShift |
  kControl |
  kAlt |
  kApple |

enum CCursorType

  | Enumerator:
  kCursorDefault |
  kCursorWait |
  kCursorHSize |
  kCursorVSize |
  kCursorSizeAll |
  kCursorNESWSize |
  kCursorNWSESize |
  kCursorCopy |
  kCursorNotAllowed |
  kCursorHand |

enum CDrawMode

  | Enumerator:
  kCopyMode |
  kOrMode |
  kXorMode |
  kAntialias |

enum CDrawStyle

  | Enumerator:
  kDrawStroked |
  kDrawFilled |
  kDrawFilledAndStroked |

enum CFont

  | Enumerator:
  kSystemFont |
  kNormalFontVeryBig |
  kNormalFontBig |
  kNormalFont |
  kNormalFontSmall |
  kNormalFontSmaller |
  kNormalFontVerySmall |
  kSymbolFont |
  kNumStandardFonts |

enum CHoriTxtAlign

  | Enumerator:
  kLeftText |
  kCenterText |
  kRightText |

enum CKnobMode

  | Enumerator:
  kCircularMode |
  kRelativCircularMode |
  kLinearMode |

enum CLineStyle

  | Enumerator:
  kLineSolid |
  kLineOnOffDash |

enum CMouseWheelAxis

  | Enumerator:
  kMouseWheelAxisX |
  kMouseWheelAxisY |

enum CTxtFace

  | Enumerator:
  kNormalFace |
  kBoldFace |
  kItalicFace |
  kUnderlineFace |

## Variable Documentation

CColor kBlackCColor

CColor kBlueCColor

const CViewAttributeID kCViewAttributeReferencePointer

CColor kCyanCColor

CColor kGreenCColor

CColor kGreyCColor

CColor kMagentaCColor

char* kMsgCheckIfViewContainer

CColor kRedCColor

CColor kTransparentCColor

CColor kWhiteCColor

CColor kYellowCColor

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.